# $Revision: 1.21 $, $Date: 2007/11/10 18:44:20 $
Summary:	Desktop Switcher - switch between GNOME, KDE and AnotherLevel
Summary(pl.UTF-8):	Przełącznik desktopów - przełącza pomiędzy GNOME, KDE i AnotherLevel
Name:		switchdesk
Version:	4.0.8
Release:	2
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	%{name}-%{version}-6.tar.bz2
# Source0-md5:	020d27b29a5f02875852d99ea83e38f6
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-pyc.patch
Patch2:		%{name}-PLD.patch
BuildRequires:	intltool
BuildRequires:	python-pygtk-glade
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_switchdeskdir	%{_datadir}/switchdesk

%description
The Desktop Switcher is a tool which enables users to easily switch
between various desktop environments that they have installed. The
tool includes support for GNOME, KDE, Xfce4 and others. Support for
different environments on different computers is available, as well as
setting a "global default."

%description -l pl.UTF-8
Desktop Switcher to narzędzie pozwalające użytkownikom łatwo
przełączać się między różnymi środowiskami desktopowymi, które są
zainstalowane. Narzędzie ma wsparcie dla GNOME, KDE, Xfce4 i innych.
Wsprarcie dla innych środowisk jest możliwe, podobnie jak ustawienie
globalnego domyślnego środowiska.

%package gui
Summary:	Graphical interface to the Desktop Switcher
Summary(pl.UTF-8):	Graficzny interfejs do Desktop Switchera
Group:		X11/Applications
Requires:	switchdesk >= %{version}-%{release}
Provides:	switchdesk-gnome
Provides:	switchdesk-kde
Obsoletes:	switchdesk-gnome
Obsoletes:	switchdesk-kde

%description gui
Provides the graphical user interface to the Desktop Switcher.

%description gui -l pl.UTF-8
Pakiet zawiera graficzny interfejs do Desktop Switchera.

%prep
%setup -q -n %{name}-%{version}-6
%patch0 -p1
%patch1 -p1
%patch2 -p1

mv po/sr\@{Latn,latin}.po

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp $RPM_BUILD_ROOT%{_switchdeskdir}/pixmaps/%{name}.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

rm -f $RPM_BUILD_ROOT%{_switchdeskdir}/*.py
rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/switchdesk
%attr(755,root,root) %{_bindir}/switchdesk-helper
%dir %{_switchdeskdir}
%{_switchdeskdir}/Xclients.*
%{_mandir}/man1/*
%lang(fr) %{_mandir}/fr/man1/*

%files gui
%defattr(644,root,root,755)
%{_switchdeskdir}/pixmaps
%{_switchdeskdir}/*.pyc
%{_switchdeskdir}/*.glade
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: switchdesk.spec,v $
Revision 1.21  2007/11/10 18:44:20  megabajt
- sr@Latn -> sr@latin; release 2

Revision 1.20  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.18  2006/09/19 17:38:54  megabajt
- add icon to %{_pixmapsdir}
- release 1

Revision 1.17  2006/09/17 13:32:17  megabajt
- up to 4.0.8

Revision 1.16  2004/03/27 11:19:48  twittner
- typo

Revision 1.15  2003/06/16 19:09:16  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.14  2003/05/28 13:02:08  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:27:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/01/18 22:57:39  juandon
- removed two lines with define

Revision 1.11  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:29:46  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/06 09:15:15  qboosh
- fixed -kde Group; pl translations, changed kdeprefix to /usr/X11R6

Revision 1.7  2001/05/02 21:51:29  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/08/07 23:00:14  baggins
- fixed rpm Group

Revision 1.5  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/09/04 09:05:30  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- added back in switchdesk.kdelnk file (kde still doesn't handle
  .desktop files)

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- fix up X display string handling

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- Xclients scripts installed with execute permission.

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- hardcode path to pidof (/sbin) because it isn't in default path.

* Tue Mar 16 1999 Preston Brown <pbrown@redhat.com>
- converted kdelnk file to desktop file, moved location, removed KDEDIR

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- broke out separate kde, gnome packages.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- new group.

* Wed Feb 03 1999 Preston Brown <pbrown@redhat.com>
- initial revision of spec file.
